xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Spencer Janssen <spencerjanssen@gmail.com>
License | BSD3-style (see LICENSE)
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.TwoPane

Contents

- Usage

Description

A layout that splits the screen horizontally and shows two windows. The left window is always the master window, and the right is either the currently focused window or the second window in layout order.

Synopsis

- data TwoPane a = TwoPane Rational Rational

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.TwoPane

Then edit your `layoutHook` by adding the TwoPane layout:

    myLayout = TwoPane (3/100) (1/2)  ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

data TwoPane a Source #

Constructors

TwoPane Rational Rational |

#### Instances

Instances details

LayoutClass TwoPane a Source # |

Instance details

Defined in XMonad.Layout.TwoPane

Methods

runLayout :: Workspace WorkspaceId (TwoPane a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (TwoPane a)) Source #

doLayout :: TwoPane a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (TwoPane a)) Source #

pureLayout :: TwoPane a -> Rectangle -> Stack a -> [(a, Rectangle)] Source #

emptyLayout :: TwoPane a -> Rectangle -> X ([(a, Rectangle)], Maybe (TwoPane a)) Source #

handleMessage :: TwoPane a -> SomeMessage -> X (Maybe (TwoPane a)) Source #

pureMessage :: TwoPane a -> SomeMessage -> Maybe (TwoPane a) Source #

description :: TwoPane a -> String Source #

Read (TwoPane a) Source # |
Instance details Defined in XMonad.Layout.TwoPane Methods readsPrec :: Int -> ReadS (TwoPane a) Source # readList :: ReadS [TwoPane a] Source # readPrec :: ReadPrec (TwoPane a) Source # readListPrec :: ReadPrec [TwoPane a] Source #
Show (TwoPane a) Source # |
Instance details Defined in XMonad.Layout.TwoPane Methods showsPrec :: Int -> TwoPane a -> ShowS Source # show :: TwoPane a -> String Source # showList :: [TwoPane a] -> ShowS Source #